Bug 257911 - graphics/stamp: patch and unbreak with -fno-common
Summary: graphics/stamp: patch and unbreak with -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2021-08-17 12:29 UTC by Robert Clausecker
Modified: 2021-08-19 06:12 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
graphics/stamp: patch and unbreak with -fno-common (2.24 KB, patch)
2021-08-17 12:29 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-08-17 12:29:43 UTC
Created attachment 227280 [details]
graphics/stamp: patch and unbreak with -fno-common

Fix declarations of global variables so this port builds on FreeBSD 13 and 14.  Also define LICENSE and take over maintainership of this unmaintained port.

Tested with Poudriere on arm64 armv7 FreeBSD 13.0-RELEASE.
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-18 09:09:30 UTC
Q/A:
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-gstamp_gstamp.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-gstamp_gstamp_misc.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-gstamp_gstamp_signals.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-gstamp_gstamp_ui.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-lib_common.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-lib_rcfile.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-lib_transmogrify.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/graphics/stamp/files/patch-Makefile.in: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

No need to update a new patch, I'll rework them.

Thanks!
Comment 2 Robert Clausecker 2021-08-18 09:18:34 UTC
(In reply to Fernando Apesteguía from comment #1)

Yes, these patches were this way originally and my diff does not touch them.  I try to make my changes as minimal as possible.  I don't mind if you change the patches, but I don't think it's really necessary.
Comment 3 commit-hook freebsd_committer 2021-08-19 06:02:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=06483f297b98098167fd63364c1dba82d355474a

commit 06483f297b98098167fd63364c1dba82d355474a
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-08-18 09:07:09 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-19 05:57:48 +0000

    graphics/stamp: Unbreak with -fno-common

    * Submitter becomes MAINTAINER. Already maintainer of several ports.
    * Define LICENSE

    While here:

     * Remake old patches
     * Add USES localbase

    PR:     257911
    MFH:    2021Q3

 graphics/stamp/Makefile                                      | 12 +++++-------
 graphics/stamp/files/patch-Makefile.in                       |  6 +++---
 graphics/stamp/files/patch-gstamp_gstamp.c                   |  4 ++--
 ...atch-gstamp_gstamp_misc.c => patch-gstamp_gstamp__misc.c} |  4 ++--
 ...stamp_gstamp_signals.c => patch-gstamp_gstamp__signals.c} |  4 ++--
 graphics/stamp/files/patch-gstamp_gstamp__ui.c (new)         |  7 +++++++
 graphics/stamp/files/patch-gstamp_gstamp_ui.c (gone)         |  7 -------
 graphics/stamp/files/patch-lib_common.c                      |  4 ++--
 graphics/stamp/files/patch-lib_ftplib.c (new)                | 10 ++++++++++
 graphics/stamp/files/patch-lib_ftplib.h (new)                | 11 +++++++++++
 graphics/stamp/files/patch-lib_rcfile.c                      |  6 +++---
 graphics/stamp/files/patch-lib_transmogrify.c                |  4 ++--
 12 files changed, 49 insertions(+), 30 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-08-19 06:09:33 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f9550e0e8396f9f69ccdb81e890bd3fa5d8f298a

commit f9550e0e8396f9f69ccdb81e890bd3fa5d8f298a
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-08-18 09:07:09 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-19 06:03:07 +0000

    graphics/stamp: Unbreak with -fno-common

    * Submitter becomes MAINTAINER. Already maintainer of several ports.
    * Define LICENSE

    While here:

     * Remake old patches
     * Add USES localbase

    PR:     257911
    MFH:    2021Q3
    (cherry picked from commit 06483f297b98098167fd63364c1dba82d355474a)

 graphics/stamp/Makefile                                      | 12 +++++-------
 graphics/stamp/files/patch-Makefile.in                       |  6 +++---
 graphics/stamp/files/patch-gstamp_gstamp.c                   |  4 ++--
 ...atch-gstamp_gstamp_misc.c => patch-gstamp_gstamp__misc.c} |  4 ++--
 ...stamp_gstamp_signals.c => patch-gstamp_gstamp__signals.c} |  4 ++--
 graphics/stamp/files/patch-gstamp_gstamp__ui.c (new)         |  7 +++++++
 graphics/stamp/files/patch-gstamp_gstamp_ui.c (gone)         |  7 -------
 graphics/stamp/files/patch-lib_common.c                      |  4 ++--
 graphics/stamp/files/patch-lib_ftplib.c (new)                | 10 ++++++++++
 graphics/stamp/files/patch-lib_ftplib.h (new)                | 11 +++++++++++
 graphics/stamp/files/patch-lib_rcfile.c                      |  6 +++---
 graphics/stamp/files/patch-lib_transmogrify.c                |  4 ++--
 12 files changed, 49 insertions(+), 30 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-08-19 06:12:17 UTC
Committed,

Thanks!